Skip to main content
GET
/
schedules
/
adjustments
List schedule adjustments
curl --request GET \
  --url https://api.juo.io/admin/v1/schedules/adjustments \
  --header 'X-Juo-Admin-Api-Key: <api-key>' \
  --header 'X-Tenant-ID: <x-tenant-id>'
import requests

url = "https://api.juo.io/admin/v1/schedules/adjustments"

headers = {
"X-Tenant-ID": "<x-tenant-id>",
"X-Juo-Admin-Api-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Tenant-ID': '<x-tenant-id>', 'X-Juo-Admin-Api-Key': '<api-key>'}
};

fetch('https://api.juo.io/admin/v1/schedules/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "resource": "list",
  "hasNextPage": true,
  "hasPrevPage": true,
  "endCursor": "<string>",
  "startCursor": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource": "schedule_adjustment",
      "customer": "<string>",
      "matcher": {
        "type": "<string>",
        "input": "<unknown>"
      },
      "action": {
        "type": "<string>",
        "input": "<unknown>"
      },
      "actor": {
        "id": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-Juo-Admin-Api-Key
string
header
required

Long-lived Admin API key issued from the Juo merchant portal. Pass as the X-Juo-Admin-Api-Key header.

Headers

X-Tenant-ID
string
required

Unique identifier of the tenant in the system (usually a store identifier)

Query Parameters

customerId
string
required

The customer identifier

Minimum string length: 1
limit
integer
default:20

See pagination for more details on how to paginate the results.

Required range: 1 <= x <= 100
after
string

See pagination for more details on how to paginate the results.

Minimum string length: 1
before
string

See pagination for more details on how to paginate the results.

Minimum string length: 1
sort
string
default:createdAt:asc

See sorting for more details on how to sort the results.

Response

Default Response

resource
enum<string>
required
Available options:
list
hasNextPage
boolean
required
hasPrevPage
boolean
required
endCursor
null | string
required
startCursor
null | string
required
data
ScheduleAdjustment · object[]
required